# ==================================================================
# Plugins::BlockEmailAddress - Auto Generated Program Module
#
#   Plugins::BlockEmailAddress
#   Author  : Andy Newby
#   Version : 1
#   Updated : Tue Feb 19 02:03:56 2008
#
# ==================================================================
#

package Plugins::BlockEmailAddress;
# ==================================================================

use strict;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use Links qw/:objects/;

# Inherit from base class for debug and error methods
@Plugins::BlockEmailAddress::ISA = qw(GT::Base);

# Your code begins here.


# PLUGIN HOOKS
# ===================================================================


sub user_signup {
# -----------------------------------------------------------------------------
# This subroutine will be called whenever the hook 'user_signup' is run.  You
# should call $PLG->action(STOP) if you don't want the regular
# 'user_signup' code to run, otherwise the code will continue as normal.
#
    my (@args) = @_;

# Do something useful here

  if ($IN->param('Email')) {

    use Links::Plugins;

    my $opts      = Links::Plugins->get_plugin_user_cfg('BlockEmailAddress');

    my @urls = split /,/, $opts->{EmailsToBlock};  
 
    my $bad; 
    foreach (@urls) {  
       chomp;
       if ($IN->param('Email') =~ /\Q$_/i) { $bad = 1; }
    }

    if ($bad) { 
       print $IN->header();
       my $email = $IN->param('Email');
       print Links::SiteHTML::display('signup_form', { error => qq|Sorry, $email is blocked.| } );
       exit;
    }

  }

    return @args;
}

# ADMIN MENU OPTIONS
# ===================================================================


# Always end with a 1.
1;