# ==================================================================
# Plugins::BlockEmailAddress - Auto Generated Install Module
#
#   Plugins::BlockEmailAddress
#   Author  : Andy Newby
#   Version : 1
#   Updated : Tue Feb 19 02:03:56 2008
#
# ==================================================================
#

package Plugins::BlockEmailAddress;
# ==================================================================
use strict;
use vars  qw/$VERSION $DEBUG $NAME $META/;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use Links qw/:objects/;

$VERSION = '1';
$DEBUG   = 0;
$NAME    = 'BlockEmailAddress';
# Inhert from base class for debug and error methods
@Plugins::BlockEmailAddress::ISA = qw(GT::Base);

$META = {
    'author' => 'Andy Newby',
    'description' => 'Lets you restrict the Email addresses people can use to signup.',
    'license' => 'Freeware',
    'prog_ver' => '3.2.0',
    'url' => 'http://www.ultranerds.com/',
    'version' => '1'
};


sub pre_install {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they install the plugin.
#
    my $inst_msg = '';

    return $inst_msg;
}

sub pre_uninstall {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they remove the plugin.
#
    my $uninst_msg = '';

    return $uninst_msg;
}

sub install {
# -----------------------------------------------------------------------------
# This function does the actual installation.  Its first argument is a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc.  The second argument is a GT::Tar object which you can use to access any
# files in your plugin module.
#
# You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::BlockEmailAddress::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks('BlockEmailAddress', [['user_signup', 'PRE', 'Plugins::BlockEmailAddress::user_signup', '']]);
    $mgr->install_menu('BlockEmailAddress', [['Settings', 'admin.cgi?do=page&page=plugin_manager.html&plugin_man_do=edit_installed&plugin_name=BlockEmailAddress']]);
    $mgr->install_options ( 'BlockEmailAddress', [ ['EmailsToBlock', 'hotmail.com,excite.com,.ru', 'Set this to the list of domains (or TLDs) you want to block from signing up as a new user', 'TEXT', [], [], '' ] ] );

    return "The plugin has been successfully installed!";
}

sub uninstall {
# -----------------------------------------------------------------------------
# This function removes the plugin.  Its first argument is also a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc. You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::BlockEmailAddress::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks('BlockEmailAddress', [['user_signup', 'PRE', 'Plugins::BlockEmailAddress::user_signup', '']]);    $mgr->uninstall_menu('BlockEmailAddress', [['Settings', 'admin.cgi?do=page&page=plugin_manager.html&plugin_man_do=edit_installed&plugin_name=BlockEmailAddress']]);
    ;
    return "The plugin has been successfully removed!";
}

1;
